diff --git a/src/include/c.h b/src/include/c.h
index 6e19c6d..61ba651 100644
--- a/src/include/c.h
+++ b/src/include/c.h
@@ -53,6 +53,14 @@
 #include "pg_config.h"
 #include "pg_config_manual.h"	/* must be after pg_config.h */
 
+/* 
+ * We've always relied on the WIN32 macro, but _WIN32 is the compiler
+ * pre-defined macro. So make sure we define WIN32 whenever _WIN32 is set.
+ */
+#if defined(_WIN32)
+#define WIN32
+#endif
+
 #if !defined(WIN32) && !defined(__CYGWIN__)		/* win32 includes further down */
 #include "pg_config_os.h"		/* must be before any system header files */
 #endif
